<?PHP

function addPostMeta(){
	if(get_option('wpcwv2_author_override') == "1"){
		if(current_user_can('edit_pages')) // Editors+ Only
			add_meta_box( 'wpcwv2_posts_override', 'Override CW Dialog', 'drawPostMeta', 'page', 'side');
			
		if(current_user_can('edit_published_posts')) // Authors+ Only
			add_meta_box( 'wpcwv2_pages_override', 'Override CW Dialog', 'drawPostMeta', 'post', 'side');
	}
}		
add_action('add_meta_boxes', 'addPostMeta');

function drawPostMeta(){
	global $post;
	$postID = $post->ID;
	
	$def = get_option('wpcwv2_author_default');
	$theMeta = get_post_meta($postID, 'wpcwv2_override', TRUE);
	$theMeta = ( $theMeta == "" ? $def : $theMeta);
	
	if(get_option('wpcwv2_author_override') == "1") :
?>
	<div class="option_wrap">
        <p style="line-height:140%;"><?php _e('If you would like to disable the Content Warning prompt for your page you can just check the box below.'); ?></p>
        <p> <input type="radio" name="wpcwv2_override" value="0" <?PHP checked($theMeta, 0, TRUE); ?>/>  <label for="wpcwv2_override"><strong><?php _e('Disable CW Dialog'); ?></strong></label><br /><input type="radio" name="wpcwv2_override" value="1" <?PHP checked($theMeta, 1, TRUE); ?>/>  <label for="wpcwv2_override"> <strong><?php _e('Enable CW Dialog'); ?></strong> </label> </p>
    </div>  
<?PHP
	endif;
} // END drawPostMeta()

function savePostMeta(){
	global $post;
	$postID = $post->ID;
	$postType = $post->post_type;
	
	$sel = $_POST['wpcwv2_override'];
	
	$sel = ($sel=="" ? get_option('wpcwv2_author_default') : $sel);
	
//	get_option('wpcwv2_author_default') : $_POST['wpcwv2_override']);
	
	if($postType == 'page' && !current_user_can('edit_pages'))
		return FALSE;
	elseif($postType == 'post' && !current_user_can('edit_published_posts'))
		return FALSE;
			
	if($postType == 'page' || $postType == 'post')
		update_post_meta($postID, 'wpcwv2_override', $sel);
	
}
add_action('save_post', 'savePostMeta');